/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.VproductosRequisicion;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface VproductosRequisicionFacadeLocal {

    void create(VproductosRequisicion vproductosRequisicion);

    void edit(VproductosRequisicion vproductosRequisicion);

    void remove(VproductosRequisicion vproductosRequisicion);

    VproductosRequisicion find(Object id);

    List<VproductosRequisicion> findAll();

    List<VproductosRequisicion> findRange(int[] range);

    int count();

    List<VproductosRequisicion> obtenerProductosBusqueda(String programaCodigo, String sucursalCodigo);

    VproductosRequisicion busquedaPorCodigo(String sucursalCodigo, String programaCodigo, String productoCodigo);

    List<VproductosRequisicion> busquedaPorNombre(String sucursalCodigo, String programaCodigo, String productoNombre);

}
